rhgsbt = function(A,C,TLIMIT) {
# This program runs nonnegative matrix factorization for
# an MxM asymmetric matrix. The main diagonal is ignored.
# INPUTS
#	A - an N x N signed network matrix
#     C - the number of cluster (1 < C < N)
#     TLIMIT - a desired time limit
# OUTPUTS
#	obj - the Doreian & Mrvar objective value 
#	P - and N-dimensional vector of cluser assignements
#     restarts - the number of restarts within the time limit
	N = dim(A)[1]
	OBJVAL = 0
      NREPS = 0
	EB <- matrix(0, nrow = N, ncol = 1)
	dyn.load("c:/RBlockmodeling/rhgsbt.dll")
	res =.Fortran("rhgsbt",as.integer(N),as.integer(C),as.double(TLIMIT),as.double(OBJVAL),as.integer(A),as.integer(EB),as.integer(NREPS))
	p <- as.numeric(as.character(unlist(res[6])))
	P <<- matrix(p, nrow = N, ncol = 1)
	obj <<- res[4]
	restarts <<- res[7]
}
